# rMaths, maths with Rust
rMaths is an open source maths library for advanced maths in Rust Lang, so you con complement your Rust aplication/API by using this library.

## Why to choose rMaths?
rMaths is open source, you can download its source code via Hdb Cloud but you can't fork or commit in this repo because is private.

## How to use rMaths?
Assuming you have cargo installed, first you need to install it in your device by this command:
```bash
cargo install rMaths
```

### Build the library by the source code (optional):
```bash
curl https://hdb-cloud.netlify.app/archive/rMaths/last/rMaths.tgz
tar xvf rMaths.tgz
cd rMaths
make
```

### Or install the library from the source code (optional):
```bash
curl https://hdb-cloud.netlify.app/archive/rMaths/last/rMaths.tgz
tar xvf rMaths.tgz
cd rMaths
sudo make install
```

### Then import it into your project:
Edit the Cargo.toml file:
```toml
[dependencies]
rMaths = "0.1.0"
```

And then the main.rs file (or lib.rs file if you are building a library):
```rust
use rMaths::* as rMaths
```

And you will have done, thank you for visiting that project.